# Uses of Interface
javax.lang.model.element.VariableElement

Packages that use VariableElement
Package
Description
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).
javax.lang.model.element
Interfaces used to model elements of the Java programming language.
javax.lang.model.util
Utilities to assist in the processing of program elements and types.

- ## Uses of VariableElement in com.sun.source.util

  Methods in com.sun.source.util with parameters of type VariableElement
  Modifier and Type
  Method
  Description
  `CharSequence`
  ParameterNameProvider.`getParameterName(VariableElement parameter)`
  Infer a parameter name for the given parameter.

- ## Uses of VariableElement in javax.lang.model.element

  Methods in javax.lang.model.element that return types with arguments of type VariableElement
  Modifier and Type
  Method
  Description
  `List<? extends VariableElement>`
  ExecutableElement.`getParameters()`
  Returns the formal parameters of this executable.
  Methods in javax.lang.model.element with parameters of type VariableElement
  Modifier and Type
  Method
  Description
  `R`
  AnnotationValueVisitor.`visitEnumConstant(VariableElement c, P p)`
  Visits an `enum` value in an annotation.
  `R`
  ElementVisitor.`visitVariable(VariableElement e, P p)`
  Visits a variable element.

- ## Uses of VariableElement in javax.lang.model.util

  Methods in javax.lang.model.util that return types with arguments of type VariableElement
  Modifier and Type
  Method
  Description
  `static List<VariableElement>`
  ElementFilter.`fieldsIn(Iterable<? extends Element> elements)`
  Returns a list of fields in `elements`.
  `static Set<VariableElement>`
  ElementFilter.`fieldsIn(Set<? extends Element> elements)`
  Returns a set of fields in `elements`.
  Methods in javax.lang.model.util with parameters of type VariableElement
  Modifier and Type
  Method
  Description
  `default TypeElement`
  Elements.`getEnumConstantBody(VariableElement enumConstant)`
  Returns the class body of an `enum` constant if the argument is an `enum` constant declared with an optional class body, `null` otherwise.
  `R`
  SimpleAnnotationValueVisitor6.`visitEnumConstant(VariableElement c, P p)`
  Visits an `enum` value in an annotation.
  `R`
  ElementKindVisitor6.`visitVariable(VariableElement e, P p)`
  Visits a variable element.
  `R`
  ElementScanner6.`visitVariable(VariableElement e, P p)`
  Visits a variable element.
  `R`
  ElementScanner7.`visitVariable(VariableElement e, P p)`
  Visits a variable element.
  `R`
  SimpleElementVisitor6.`visitVariable(VariableElement e, P p)`
  Visits a variable element.
  `R`
  SimpleElementVisitor7.`visitVariable(VariableElement e, P p)`
  Visits a variable element.
  `R`
  ElementKindVisitor14.`visitVariableAsBindingVariable(VariableElement e, P p)`
  Visits a `BINDING_VARIABLE` variable element.
  `R`
  ElementKindVisitor6.`visitVariableAsBindingVariable(VariableElement e, P p)`
  Visits a `BINDING_VARIABLE` variable element.
  `R`
  ElementKindVisitor6.`visitVariableAsEnumConstant(VariableElement e, P p)`
  Visits an `ENUM_CONSTANT` variable element.
  `R`
  ElementKindVisitor6.`visitVariableAsExceptionParameter(VariableElement e, P p)`
  Visits an `EXCEPTION_PARAMETER` variable element.
  `R`
  ElementKindVisitor6.`visitVariableAsField(VariableElement e, P p)`
  Visits a `FIELD` variable element.
  `R`
  ElementKindVisitor6.`visitVariableAsLocalVariable(VariableElement e, P p)`
  Visits a `LOCAL_VARIABLE` variable element.
  `R`
  ElementKindVisitor6.`visitVariableAsParameter(VariableElement e, P p)`
  Visits a `PARAMETER` variable element.
  `R`
  ElementKindVisitor6.`visitVariableAsResourceVariable(VariableElement e, P p)`
  Visits a `RESOURCE_VARIABLE` variable element.
  `R`
  ElementKindVisitor7.`visitVariableAsResourceVariable(VariableElement e, P p)`
  Visits a `RESOURCE_VARIABLE` variable element.